Name:           python-mrack
Version:        1.23.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Multicloud use-case based multihost async provisioner for CIs and testing during development

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/neoave/mrack
Source:         %{pypi_source mrack}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mrack' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-mrack
Summary:        %{summary}

%description -n python3-mrack %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-mrack krb-owner


%prep
%autosetup -p1 -n mrack-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x krb-owner


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-mrack -f %{pyproject_files}


%changelog
%autochangelog